import { defineComponent, openBlock, createBlock, resolveDynamicComponent } from 'vue';

var _sfc_main = /* @__PURE__ */ defineComponent({
  ...{
    name: "RenderCol"
  },
  __name: "renderCol",
  props: {
    row: Object,
    render: Function,
    index: Number,
    column: {
      type: Object,
      default: null
    }
  },
  setup(__props) {
    const props = __props;
    const renderComponent = () => {
      var _a;
      return props.render(props == null ? void 0 : props.row[(_a = props == null ? void 0 : props.column) == null ? void 0 : _a.prop], props.row, props.index);
    };
    return (_ctx, _cache) => {
      return openBlock(), createBlock(resolveDynamicComponent(renderComponent));
    };
  }
});

export { _sfc_main as default };
